Bug 230481 - www/kanboard: update v1.2.3 -> v1.2.5 [patch]
Summary: www/kanboard: update v1.2.3 -> v1.2.5 [patch]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-09 14:02 UTC by Alexander
Modified: 2018-08-16 13:04 UTC (History)
4 users (show)

See Also:
bsd: maintainer-feedback+


Attachments
kanboard-update-to-1.2.5.diff (10.71 KB, patch)
2018-08-09 14:02 UTC, Alexander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2018-08-09 14:02:07 UTC
Created attachment 196027 [details]
kanboard-update-to-1.2.5.diff

Update to actual mainstream version.

Changelog:
Version 1.2.5 (June 15, 2018)
-----------------------------

* Update jQuery to latest version
* Defer javascript files loading by default
* Add quick link "assign me" in different views
* Add bulk task operations in list view
* Add checkboxes in list view to move tasks to another column at once
* Make sure automatic actions are applied to all tasks when using bulk operations
* Add ability to run cron jobs by calling URL
* Add basic print stylesheet
* Add dashboard and search task footer hooks
* Reword project settings label
* Improve Docker image config overrides
* Fix cronjob in Docker image
* Increase Nginx fastcgi buffers for Docker image
* Increase size of the "users.language" column
* Update translations and improve English texts

Version 1.2.4 (May 16, 2018)
----------------------------

* Rewrite tooltip code without jQuery
* Update Parsedown library
* Remove all attachments when removing a project
* Improve whitespace handling in "cli locale:compare" command
* Don't markdown project owner's name in header tooltip
* Add SSL to Docker image
* Avoid people to remove themselves from project permissions
* Fix escaping issue in Markdown editor
* Add data/config.php to .gitignore
* Clarified text label for notification settings
* Add Ukrainian translation
* Do not show inactive users in group members dropdown
* Improve dashboard pagination
* Make list view more compact
* Hide private projects checkbox if the feature is disabled
* Make cli locale commands working outside of source tree
* Make subtask title text field wider when editing subtasks
* Add link to open images in a new tab
* Make hardcoded hours string translatable
* Translation updates
Comment 1 Alexander 2018-08-09 14:04:51 UTC
This patch also fixes portlint wartning: WARN: Makefile: [16]: USE_* seen before USES.  According to the porters-handbook, USES must appear first.
Comment 2 commit-hook freebsd_committer 2018-08-16 13:04:15 UTC
A commit references this bug:

Author: miwi
Date: Thu Aug 16 13:03:37 UTC 2018
New revision: 477331
URL: https://svnweb.freebsd.org/changeset/ports/477331

Log:
  - Update to 1.2.5

  PR:		230481
  Submitted by:	sa.inbox@gmail.com
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist